const express = require('express');
const router = express.Router();
const ActivityLogController = require('../controllers/activityLog');
const { authenticate, authorizeRoles } = require('../middleware/auth');
const { Roles } = require('../utils/enum');

router.get(
  '/',
  authenticate,
  authorizeRoles([Roles.SUPER_ADMIN]),
  ActivityLogController.getActivityLogs
);

router.get(
  '/admin/:adminId',
  authenticate,
  authorizeRoles([Roles.SUPER_ADMIN, Roles.ADMIN]),
  ActivityLogController.getAdminActions
);

module.exports = router;
